Subject: RE: bug#16274: 24.3.50; Error in post-command-hook (icomplete-post-command-hook): (invalid-function ("..." ...))

From: Drew Adams <[email-masked]>
Date: Fri, 3 Jan 2014 23:03:38 -0800 (PST)

> Apply the patch below.  That should replace your error message with
> a different one, so if the error message stays the same, the problem
> is elsewhere.  And if a new message appears we've found a culprit.
> Of course, minibuffer.el is preloaded, so you'll want to re-dump
> your Emacs, force reloading minibuffer.el(c) from your .emacs, or
> do some other dance to make sure you use the new definition of
> completion--nth-completion.

Hey, thanks for hanging in there.  I patched minibuffer.el and will
`load-library' the patched version from my .emacs.  That should do it,
I assume.

It's not often that I notice the error (in *Messages*, since the message
itself is fleeting), but I'll try to keep an eye out for the new message
and let you know.  (I added a noticeable STRING arg to the `cl-assert'
form.)